package com.sinosig.web.module.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import com.sinosig.web.module.service.JQXXXService;
import com.sinosig.web.module.domain.JQXXX;
import com.sinosig.web.module.filter.*;

@RestController
@RequestMapping(value = "")
public class JQXXXController {
	@Autowired
    JQXXXService jqxxxservice;




    public ResponseEntity<JQXXX> getDraftTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }


    public ResponseEntity<JQXXX> getDraftTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }

    public ResponseEntity<JQXXX> getDraftByCID() {
        return null;
    }


    public ResponseEntity<JQXXX> createTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }

    public ResponseEntity<JQXXX> createByCID(@PathVariable("cid_id") String cid_id, @RequestBody JQXXX jqxxx) {
        return null;
    }


    public ResponseEntity<JQXXX> saveByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }


    public ResponseEntity<JQXXX> getTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }

    public ResponseEntity<JQXXX> updateByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }


    public ResponseEntity<JQXXX> removeTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }

    public ResponseEntity<JQXXX> getByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id) {
        return null;
    }


    public ResponseEntity<JQXXX> createTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }


    public ResponseEntity<JQXXX> updateTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }

    public ResponseEntity<Boolean> removeByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id) {
        return null;
    }


    public ResponseEntity<JQXXX> removeTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }

    public ResponseEntity<Boolean> checkKeyByCID(@PathVariable("cid_id") String cid_id, @RequestBody JQXXX jqxxx) {
        return null;
    }


    public ResponseEntity<JQXXX> updateTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }


    public ResponseEntity<JQXXX> getTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxxx_id") String jqxxx_id, @RequestBody JQXXX jqxxx) {
        return null;
    }

	public ResponseEntity<List<JQXXX>> fetchDefaultByCID() {
        return null;
    }


}
